namespace Tiger.Game.Catalogue;

public class CataloguePage
{
    public virtual int Id { get; set; }
    public virtual string Name { get; set; } = null!;
    public virtual string InternalName { get; set; } = null!;
    public virtual string Layout { get; set; } = null!;
    public virtual bool Visible { get; set; }
    public virtual bool Enabled { get; set; }
    public virtual int Icon { get; set; }
    public virtual int MinRank { get; set; }
    public virtual CataloguePage? Parent { get; set; }
    public virtual IList<CataloguePage> Children { get; set; } = new List<CataloguePage>();
    public virtual IList<string> Images { get; set; } = new List<string>();
    public virtual IList<string> Texts { get; set; } = new List<string>();
    public virtual bool SeasonalCurrency { get; set; }
    public virtual IList<string> Modes { get; set; } = new List<string>();
}